Summary: MIME compliant mail reader w/ news support as well
Name: pine
Version: 3.96
Release: 7
Copyright: distributable
URL: http://www.washington.edu/pine
Group: Applications/Mail
Source0: ftp://ftp.cac.washington.edu/pine/pine3.96.tar.gz
Source1: pine.wmconfig
Patch0: pine3.96-glibc.patch
Patch1: pine3.96-termios.patch
Patch2: pine3.96-lock.patch
Patch3: pine-3.96-sigchld.patch
Patch4: pine-3.96-resize.patch
Patch5: pine3.96-filter.patch
BuildRoot: /tmp/pine-build

%changelog

* Thu Jan 15 1998 Erik Troan <ewt@redhat.com>

- added patch to fix pine filters

* Tue Dec 30 1997 Erik Troan <ewt@redhat.com>

- fixed resizing in pine and pico

* Thu Dec 18 1997 Erik Troan <ewt@redhat.com>

- removed patch for SIGCHLD race -- it shouldn't be necessary
- added patch to avoid longjmp() from SIGCHLD handler -- SIGCHLD handling
  is sane now

* Thu Dec 11 1997 Cristian Gafton <gafton@redhat.com>
- added a patch for handling a SIGCHLD race condition

* Tue Nov 04 1997 Erik Troan <ewt@redhat.com>
- fix for locks w/ long st_dev field
- use termios rather then termio

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- removed exec bit from /usr/doc/pine-3.96-1/contrib/utils/pwd2pine

%description
Pine is a very full featured text based mail and news client. It is
aimed at both novice and expert users. It includes an easy to use editor,
pico, for composing messages. Pico has gained popularity as a stand
alone text editor in it's own right. It features MIME support, address
books, and support for IMAP, mail, and MH style folders.

%prep
%setup -q -n pine3.96
%patch0 -p1 -b .glibc
%patch1 -p1 -b .termios
%patch2 -p1 -b .lock
%patch3 -p1 -b .sigchld
%patch4 -p1 -b .resize
%patch5 -p1 -b .filter

# this wants /usr/local/bin/perl
chmod 644 contrib/utils/pwd2pine

%build
./build lnx

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/doc $RPM_BUILD_ROOT/usr/lib
install -m 644 doc/mime.types $RPM_BUILD_ROOT/usr/lib/mime.types
for n in pine pico pilot; do
    install -m 755 -o 0 -g 0 -s bin/$n $RPM_BUILD_ROOT/usr/bin/$n
done

cd doc
for n in pine.1 pico.1 pilot.1; do
    install -m 644 -o 0 -g 0 $n $RPM_BUILD_ROOT/usr/man/man1
done
cat <<EOF > $RPM_BUILD_ROOT/usr/lib/pine.conf
#
# Pine system-wide defaults file -- customize as needed.
#
# This file sets the system-wide configuration defaults used by Pine.
# If you have questions about specific settings see the section on
# configuration options in the Pine notes.  On Unix, run pine -conf to
# see how system defaults have been set.  For variables that accept
# multiple values, list elements are separated by commas.  A line
# beginning with a space or tab is considered to be a continuation of
# the previous line.  For a variable to be unset its value must be
# blank.  To set a variable to the empty string its value should be
# "". Switch variables are set to either "yes" or "no", and default to
# "no".  Lines beginning with "#" are comments, and ignored by Pine.

EOF
cat <<EOF > $RPM_BUILD_ROOT/usr/lib/pine.conf.fixed
#
# Pine system-wide enforced configuration file - customize as needed
#
# This file holds the system-wide enforced values for pine configuration
# settings. Any values set in it will override values set in the
# system-wide default configuration file (/usr/lib/pine.conf) and
# the user's own configuration file (~/.pinerc).
# For more information on the format of this file, read the
# comments at the top of /usr/lib/pine.conf

EOF

chmod 0644 $RPM_BUILD_ROOT/usr/lib/pine.conf $RPM_BUILD_ROOT/usr/lib/pine.conf.fixed
chown root.root $RPM_BUILD_ROOT/usr/lib/pine.conf $RPM_BUILD_ROOT/usr/lib/pine.conf.fixed

mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -g root -o root -m644 $RPM_SOURCE_DIR/pine.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/pine

%files
%config(missingok) /etc/X11/wmconfig/pine
%doc README CPYRIGHT doc/*.txt doc/pine-ports doc/tech-notes doc/mailcap.unx contrib
/usr/bin/pine
/usr/bin/pico
/usr/bin/pilot
/usr/man/man1/pico.1
/usr/man/man1/pine.1
/usr/man/man1/pilot.1
%config /usr/lib/mime.types
%config /usr/lib/pine.conf
%config /usr/lib/pine.conf.fixed
